Opened 10 years ago

Closed 10 years ago

#2250 closed Bugs (wontfix)

pgi.hpp and configure script

Reported by: wladwig@… Owned by: doug_gregor
Milestone: Boost 1.37.0 Component: build
Version: Boost 1.36.0 Severity: Problem
Keywords: pgi portland group build configure Cc:

Description

I ran into several problems trying to build boost with the PGI compiler v7.2-3 and the Boost 1.36.0 library.

1) ./configure --with-toolset=pgi does not correctly use the pgi configuration

Using the ./configure script which comes with the Boost 1.36.0 package does not setup the build system to use the pgi compiler properly. Using the commands "./configure --with-toolset=pgi" and "make install" generates errors which look like (in this case when compiling boost python):

-ftemplate-depth-128 -O3 -finline-functions -Wno-inline -Wall -fPIC -pthread  -DBOOST_ALL_NO_LIB=1 -DBOOST_PYTHON_SOURCE -DNDEBUG  -I"." -I"/home/wdt/Python2.5/include/python2.5" -c -o "bin.v2/libs/python/build/gcc/release/threading-multi/numeric.o" "libs/python/src/numeric.cpp"

...failed gcc.compile.c++ bin.v2/libs/python/build/gcc/release/threading-multi/n umeric.o... gcc.compile.c++ bin.v2/libs/python/build/gcc/release/threading-multi/list.o /bin/sh: line 1: -ftemplate-depth-128: command not found

It looks like it's trying to use the gcc configuration without calling the executable.

2) pgi.hpp does not allow for versions greater than 7.1

I then tried to build the boost python module by calling bjam directly, using "bjam toolset=pgi --with-python". This failed with:

"./boost/config/compiler/pgi.hpp", line 27: catastrophic error: #error

directive: "Pgi compiler not configured - please reconfigure"

# error "Pgi compiler not configured - please reconfigure"

It appears that pgi.hpp is coded to only use v7.1 of the compiler. After I made the change to the header file to use v7.2, it built the boost python library successfully (but with many compiler warnings).

Change History (3)

comment:1 Changed 10 years ago by Vladimir Prus

Owner: changed from Vladimir Prus to John Maddock

John, assigning this to you as pgi.hpp tweaks are part of Boost.Config.

comment:2 Changed 10 years ago by John Maddock

Owner: changed from John Maddock to doug_gregor

The changes to pgi.hpp are already in Trunk.

Reassigning to Doug Gregor, as I believe he wrote the top level ./configure script?

John.

comment:3 Changed 10 years ago by Vladimir Prus

Resolution: wontfix
Status: newclosed

I do not think Doug is active here, and configure script is likely to be gone for 1.39.

Note: See TracTickets for help on using tickets.